-- ====================================================================================
-- Example of Ada Abstract Class Declaration
-- 
-- For Ada Distilled by Richard Riehle
-- ====================================================================================
--
--
package Abstract_Machinery_2.Identified is	       
   type I_Machine is new Machine with private;         
   type Reference is access all Machine'Class;         
   procedure Turn_On (I : in out I_Machine);	       
   procedure Turn_Off(I : in out I_Machine);	       
   function  Is_On   (I : I_Machine) return Boolean;       
private
   type I_Machine is new Machine with record
      Is_On : Boolean := False;
   end record;
end Abstract_Machinery_2.Identified;	                         