-- ====================================================================================
-- Example of Ada Abstract Class Declaration
-- 
-- For Ada Distilled by Richard Riehle
-- ====================================================================================
--
--
package Abstract_Machinery_2 is	                         --  1  An Ada Module
   type Machine is abstract tagged null record;              --  2  Machine is an abstract record
   type Reference is access all Machine'Class;               --  3  A classwide access type
   procedure Turn_On  (M : in out Machine) is abstract;      --  5  Turn on the machine
   procedure Turn_Off (M : in out Machine) is abstract;      --  6  Turn off the Machine
   function Is_On  (M : Machine) return Boolean is abstract; --  7  Is the Machine turned on?
end Abstract_Machinery_2;	                               --  8  End of the package specification