-- ==========================================================================================
-- Continue.adb
--
-- 
--  
--
--
--
-- ==========================================================================================
--
procedure Continue is                                   -- This is a wrapper so the function will compile
   type Item is range -473..451;                        -- Not shown in Ada Distilled example
   
   function Continue(Data : Item) return Boolean  is    --  1 Parameterized  function
       Result : Boolean  :=  False;	                    --  2 Initialized return variable.
   begin	-- Continue	                                --  3 Comment the begin statement
      if  Data in 1..20 then  	                    --  4 Simple membership test for a range
         Result := True;	                          --  5 Set the result
      end if;			                          --  6 Always need an end if
      return Result;	                                --  7 At least one return statement; required
   end Continue;                                        --  8 Always label the end statement
   
   Outcome : Boolean;
   
begin
  Outcome := Continue(42);                              -- Call the function, Continue
end Continue;		                              