-- ====================================================================
-- Ada Distilled 9.4.3
-- ====================================================================
package Double_Tagged_Type is	                                           --  1
   type T1 is tagged private;                                            --  2
   type T1_Reference is access all T1'Class;                             --  3
   type T1_Class is array (Positive range <>) of T1_Reference;           --  4
   type T2 is new T1 with private;                                       --  5
   procedure Process(D1 : in out T1; D2 : in out T1'Class);	             --  6
   procedure Process(D2 : in out T2; D1 : in out T1'Class);	             --  7
   procedure Process_All(D1 : in out T1'Class; D2 : in out T1'Class);    --  8
private	                                                             --  9
   type T1 is tagged null record;                                        -- 10
   type T2 is new T1 with null record;                                   -- 11
end Double_Tagged_Type;	                                                 -- 12