procedure Subtype_Examples is	                                          --  1 Subprogram specification
   type Frequency is digits 12;                                         --  2 Floating point type definition
   subtype Full_Frequency is Frequency range 0.0 .. 100_000.0;          --  3 subtype definition
   subtype Low_Frequency is Frequency range  0.0 .. 20_000.0;           --  4 subtype definition
   Ff : Full_Frequency := 0.0;	                                    --  5 Variable declaration
   Hf : Full_Frequency := 50_000.0;                                 	--  6 Variable declaration
   Lf : Full_Frequency :=  15_000.0;	                              --  7 Variable declaration
begin		                                                            --  8
   Ff  := Hf;	                                                      --  9 OK; no possible constraint error
   Ff  := Lf;	                                                      -- 10 OK; no possible constraint error
   Lf  := Ff;      	                                                -- 11 Legal, but potential constraint error
   Hf  := Lf;	                                                      -- 12 Legal, but potential constraint error
end Subtype_Examples;	                                                -- 13