-- ==========================================================================================
-- Ada Distilled              by Richard Riehle, AdaWorks Software Engineering
--                                               For your Ada training and consulting needs
-- Accessibility_Problem_3.adb
--
-- See 5.4.2.2 in Ada Distilled for discussion of this program.
--
-- 
--  
-- Line numbers correspond to those in Ada Distilled.
-- 
-- =========================================================================================
-- 
with Reference_Types;	                              --  1  Put reference types in scope
with Reference_Functions;	                        --  2 Reference functions in scope
with  Ada.Text_Io;	                              --  3
procedure Test_Reference_Types is	                  --  4
   Test_Data : Reference_Types.Int_32 := 42;	      --  5
   package Int_32_Io is new Ada.Text_Io.	            --  6
      Integer_Io(Num => Reference_Types.Int_32);	--  7
   Test_Data_Set : Reference_Types.Data_Set(0..20) 	--  8
      := (others => Test_Data);	                  --  9
begin			                                    -- 10 
   Reference_Types.Process (Data   => Test_Data_Set,	-- 11 
      Method => Reference_Functions.My_Process);	-- 12 
end Test_Reference_Types;	                        -- 13 