-- ==========================================================================================
-- Ada Distilled              by Richard Riehle, AdaWorks Software Engineering
--                                               For your Ada training and consulting needs
-- Conversions.ads
--
-- See Ada Distilled for discussion of this program.
--
-- 
--
-- Line numbers correspond to those in Ada Distilled.
-- 
-- =========================================================================================
-- 



package Conversions is	                                     --  1
   type Money is delta 0.0001 digits 12;                     --  2 a decimal fixed-point type
   type Yen is new Money;                                    --  3 derive from Money
   type Dollars is new Money;                                --  4 derive from Money
   function Convert (Y : Yen; Rate : Money) return Dollars;  --  5 declare a function specification
   function Convert (D : Dollars; Rate : Money) return Yen;  --  6 declare a function specification
   Conversion_Error :  exception;	                         --  7 declare an exception
end Conversions;	                                           --  8