-- ==========================================================================================
-- Process.adb
--
--  
--   
--
--
--
-- ==========================================================================================
--
--
procedure Process (M : in out Matrix) is                 --  1 Specification for the procedure
   type Matrix is array (Positive range <>,              --  1.1 An unconstrained matrix; this is not
                         Natural  range <>) of Integer;  --  1.2 shown in the Ada Distilled example
begin			                                       --  2 Simple begin
   Outer:		                                       --  3 Label for outer loop
      for  I in M'range(1) loop                          --  4 M'Range(1)  is first dimension of array
      Inner:	                                       --  5 Label for nested loop
         for  J  in M'range(2) loop	                     --  6 M'Range(2) is second dimension
         -- do some actions on the matrix	               --  7 Algorithmic statements
      end loop Inner;	                                 --  8 Inner end loop
   end loop Outer;	                                 --  9 Outer end loop
end Process;	                                       -- 10 End of procedure scope