with Some_Types;	                                          --  1 No corresponding use clause; in scope only
procedure Will_Not_Compile is                               --  2 Correct.  Too many errors for this to compile
   Ch1,  Ch2, Ch3   : Some_Types.Channel := 42;             --  3 Notice the dot notation in declaration
   Sig1, Sig2       : Some_Types.Signal  := 27;             --  4 Dot notatation makes type Signal visible
   Level_1, Level_2 : Some_Types.Level   := 360.0;          --  5 Dot notation again.  No use clause so this is required
   Tiny  : Some_Types.Small_Signal := 4;	                  --  6 
   Color_1, Color_2 : Some_Types.Color := Some_Types.Red;   --  7 Dot notation required here
   Light_1, Light_2 : Some_Types.Light := Some_Types.Red;	--  8
   Tr1, Tr2, Tr3    : Some_Types.Traffic := Some_Types.Red; --  9
begin		                                                -- 10 
   Ch3 := Ch1 + Ch2;  	                                    -- 11 Cannot compile;  + operator not visible
   Level_1 := Ch1;    	                                    -- 12 Incompatible data types
   Tiny := Sig1;        	                              -- 13 This is OK  because of subtype 
   Color_1 := Light_1;  	                              -- 14 Incompatible types in expression
   Light_2 := Tr1;      	                              -- 15 Incompatible types
   Light_3 := Some_Types.Light(Color_1);                    -- 16 Type conversion not permitted for these types
   Tr3 := Color_1;      	                              -- 17 Incompatible types
   Tr1 := Some_Types.Traffic'Succ(Tr2);  	                  -- 18 This statement is OK
end Will_Not_Compile;	                                    -- 19 